For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
Resources
Get started
ReferenceGuidesExamplesChangelog
ReferenceGuidesExamplesChangelog
  • Data API
    • Introduction
  • Token
    • GETGet Authorization User Info
    • GETGet Authorization Info
  • Sites
    • GETList Sites
    • GETGet Site
    • GETGet Custom Domains
    • POSTPublish Site
  • Pages and Components
  • CMS
  • Forms
  • Custom Code
      • GETGet Registered Scripts
      • POSTRegister Script - Hosted
      • POSTRegister Script - Inline
      • GETList Custom Code Blocks
  • Assets
  • Custom fonts
  • Comments
    • GETList Comment Threads
    • GETGet Comment Thread
    • GETList Comment Replies
  • Ecommerce
  • Webhooks
    • GETList Webhooks
    • GETGet Webhook
    • POSTCreate Webhook
    • DELRemove Webhook
  • Site Configuration
  • Enterprise
LogoLogo
Resources
Get started
Custom CodeCustom Code

Get Registered Scripts

GET
https://api.webflow.com/v2/sites/:site_id/registered_scripts
GET
/v2/sites/:site_id/registered_scripts
$curl https://api.webflow.com/v2/sites/580e63e98c9a982ac9b8b741/registered_scripts \
> -H "Authorization: Bearer <token>"
1{
2 "registeredScripts": [
3 {
4 "id": "alert",
5 "canCopy": false,
6 "displayName": "Alert",
7 "hostedLocation": "https://cdn.webflow.io/.../alert-0.0.1.js",
8 "createdOn": "2022-10-26T00:28:54.191Z",
9 "version": "0.0.1"
10 },
11 {
12 "id": "alert",
13 "canCopy": false,
14 "displayName": "Alert",
15 "hostedLocation": "https://cdn.webflow.io/.../alert-0.0.2.js",
16 "createdOn": "2022-10-26T00:28:54.191Z",
17 "version": "0.0.2"
18 },
19 {
20 "id": "cms_slider",
21 "canCopy": true,
22 "displayName": "CMS Slider",
23 "hostedLocation": "https://cdn.jsdelivr.net/.../cms_slider.js",
24 "integrityHash": "sha384-J+YlJ8v0gpaRoKH7SbFbEmxOZlAxLiwNjfSsBhDooGa5roXlPPpXbEevck4J7YZ+",
25 "createdOn": "2022-10-26T00:28:54.191Z",
26 "version": "1.0.0"
27 }
28 ],
29 "pagination": {
30 "limit": 100,
31 "offset": 0,
32 "total": 3
33 }
34}
Get a list of scripts that have been registered to a site. A site can have a maximum of 800 registered scripts. <Note title="Script Registration"> To apply a script to a site or page, the script must first be registered to a site via the [Register Script](/data/reference/custom-code/custom-code/register-hosted) endpoints. Once registered, the script can be applied to a Site or Page using the appropriate endpoints. See the documentation on [working with Custom Code](/data/docs/custom-code) for more information. </Note> <Note>Access to this endpoint requires a bearer token obtained from an [OAuth Code Grant Flow](/data/reference/oauth-app).</Note> Required scope | `custom_code:read`
Was this page helpful?
Previous

Register Script - Hosted

Next
Built with

Get a list of scripts that have been registered to a site. A site can have a maximum of 800 registered scripts.

Script Registration

To apply a script to a site or page, the script must first be registered to a site via the Register Script endpoints. Once registered, the script can be applied to a Site or Page using the appropriate endpoints. See the documentation on working with Custom Code for more information.

Access to this endpoint requires a bearer token obtained from an OAuth Code Grant Flow.

Required scope | custom_code:read

Authentication

AuthorizationBearer

Bearer authentication of the form Bearer <token>, where token is your auth token.

Path parameters

site_idstringRequiredformat: "objectid"
Unique identifier for a Site

Response

Request was successful
registeredScriptslist of objects
paginationobject
Pagination object

Errors

400
Bad Request Error
401
Unauthorized Error
404
Not Found Error
429
Too Many Requests Error
500
Internal Server Error